WordPress.org

Support

Support » Installation » HELP! Updating my WP version on my blog…

HELP! Updating my WP version on my blog…

  • hi… i’m kinda new with wordpress… is there a way that i can update my wp software to the latest version (2.3.1) without redoing my posts? thanks a lot!

Viewing 6 replies - 1 through 6 (of 6 total)
  • Make sure to backup everything. Here are instructions for upgrading WordPress. If you run into any problems please post back.

    Yes, just follow the procedures in Upgrading WordPress or Upgrading WordPress Extended.

    First follow WordPress Backups.

    thanks Tank and Michael!

    Help…..tried to download and install the latest version here at WP and my site is all messed up. Besides not seeing my start page this is what it is showing across the top of the site:

    WordPress database error: [Table ‘focusbey_wp.wp_categories’ doesn’t exist]
    SELECT cat_ID from wp_categories WHERE category_nicename = ‘blog’

    WordPress database error: [Table ‘focusbey_wp.wp_categories’ doesn’t exist]
    # sem_theme_init SELECT categories.*, COUNT( DISTINCT post2cat.post_id ) as num_posts FROM wp_categories AS categories INNER JOIN wp_post2cat AS post2cat ON post2cat.category_id = categories.cat_ID INNER JOIN wp_posts AS posts ON posts.ID = post2cat.post_id WHERE posts.post_status = ‘publish’ AND posts.post_date_gmt <= ‘2007-12-05 08:49:59’ AND ( categories.cat_name REGEXP ‘^(blog|archives|buzz|gallery|resources|links|projects|downloads|solutions|services|about|contact|legal)$’ OR categories.category_nicename REGEXP ‘^(blog|archives|buzz|gallery|resources|links|projects|downloads|solutions|services|about|contact|legal|home|sidebar|highlights)$’ ) GROUP BY cat_ID HAVING num_posts > 0

    How do I remedy this? HELP..Please….someone

    In addition, this is what is showing up at the very bottom of the site:

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ” at line 1]
    SELECT COUNT(ID) FROM

    Warning: Invalid argument supplied for foreach() in /home/focusbey/public_html/wp-content/plugins/sem-theme/sem-theme.php on line 558

    focusbeyond – if you just upgraded to 2.3.x then please review this thread:
    http://wordpress.org/support/topic/135564?replies=83

    You likely have an incompatible theme and/or plugin.

    Deactivate your plugins. Change to the WordPress Default 1.6 Theme.

    Then start looking for 2.3 compatible theme and plugins.
    http://codex.wordpress.org/Plugins/Plugin_Compatibility/2.3
    http://codex.wordpress.org/Themes/Theme_Compatibility/2.3

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘HELP! Updating my WP version on my blog…’ is closed to new replies.